from wtforms import BooleanField, SelectField, SubmitField
from app.forms import NopaqueForm
from app.models import Role


class AdminEditUserForm(NopaqueForm):
    confirmed = BooleanField('Confirmed')
    role = SelectField('Role')
    submit = SubmitField('Submit')

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        self.role.choices = [(x.hashid, x.name) for x in Role.query.all()]
