from flask_wtf import FlaskForm
import re


class NopaqueForm(FlaskForm):
    def __init__(self, *args, **kwargs):
        if 'prefix' not in kwargs:
            kwargs['prefix'] = re.sub(r'(?<!^)(?=[A-Z])', '-', self.__class__.__name__).lower()
        super().__init__(*args, **kwargs)
